
-- DATETIME types.
CREATE TEMP TABLE dbd_ix_datetime
(
    Col000  SERIAL NOT NULL {PRIMARY KEY}{XPS 8.30 rejects PK},
    dt001  datetime year to year,
    dt002  datetime year to month,
    dt003  datetime year to day,
    dt004  datetime year to hour,
    dt005  datetime year to minute,
    dt006  datetime year to second,
    dt007  datetime year to fraction(1),
    dt008  datetime year to fraction(2),
    dt009  datetime year to fraction(3),
    dt010  datetime year to fraction(4),
    dt011  datetime year to fraction(5),
    dt012  datetime month to month,
    dt013  datetime month to day,
    dt014  datetime month to hour,
    dt015  datetime month to minute,
    dt016  datetime month to second,
    dt017  datetime month to fraction(1),
    dt018  datetime month to fraction(2),
    dt019  datetime month to fraction(3),
    dt020  datetime month to fraction(4),
    dt021  datetime month to fraction(5),
    dt022  datetime day to day,
    dt023  datetime day to hour,
    dt024  datetime day to minute,
    dt025  datetime day to second,
    dt026  datetime day to fraction(1),
    dt027  datetime day to fraction(2),
    dt028  datetime day to fraction(3),
    dt029  datetime day to fraction(4),
    dt030  datetime day to fraction(5),
    dt031  datetime hour to hour,
    dt032  datetime hour to minute,
    dt033  datetime hour to second,
    dt034  datetime hour to fraction(1),
    dt035  datetime hour to fraction(2),
    dt036  datetime hour to fraction(3),
    dt037  datetime hour to fraction(4),
    dt038  datetime hour to fraction(5),
    dt039  datetime minute to minute,
    dt040  datetime minute to second,
    dt041  datetime minute to fraction(1),
    dt042  datetime minute to fraction(2),
    dt043  datetime minute to fraction(3),
    dt044  datetime minute to fraction(4),
    dt045  datetime minute to fraction(5),
    dt046  datetime second to second,
    dt047  datetime second to fraction(1),
    dt048  datetime second to fraction(2),
    dt049  datetime second to fraction(3),
    dt050  datetime second to fraction(4),
    dt051  datetime second to fraction(5),
    dt052  datetime fraction to fraction(1),
    dt053  datetime fraction to fraction(2),
    dt054  datetime fraction to fraction(3),
    dt055  datetime fraction to fraction(4),
    dt056  datetime fraction to fraction(5),
-- 56 DATETIME types.

-- DATETIME synonyms.
    dt057  datetime year to fraction,
    dt058  datetime month to fraction,
    dt059  datetime day to fraction,
    dt060  datetime hour to fraction,
    dt061  datetime minute to fraction,
    dt062  datetime second to fraction,
    dt063  datetime fraction to fraction,
-- 7 DATETIME synonyms.
    Dummy   CHAR(1)
) WITH NO LOG;

CREATE TEMP TABLE dbd_ix_interval
(
    Col000  SERIAL NOT NULL {PRIMARY KEY}{XPS 8.30 rejects PK},

-- INTERVAL types based on YEAR..MONTH.
    iv001  interval year(9) to year,
    iv002  interval year(8) to year,
    iv003  interval year(7) to year,
    iv004  interval year(6) to year,
    iv005  interval year(5) to year,
    iv006  interval year(4) to year,
    iv007  interval year(3) to year,
    iv008  interval year(2) to year,
    iv009  interval year(1) to year,
    iv010  interval year(9) to month,
    iv011  interval year(8) to month,
    iv012  interval year(7) to month,
    iv013  interval year(6) to month,
    iv014  interval year(5) to month,
    iv015  interval year(4) to month,
    iv016  interval year(3) to month,
    iv017  interval year(2) to month,
    iv018  interval year(1) to month,
    iv019  interval month(9) to month,
    iv020  interval month(8) to month,
    iv021  interval month(7) to month,
    iv022  interval month(6) to month,
    iv023  interval month(5) to month,
    iv024  interval month(4) to month,
    iv025  interval month(3) to month,
    iv026  interval month(2) to month,
    iv027  interval month(1) to month,
-- 27 INTERVAL types based on YEAR..MONTH.

-- INTERVAL synonyms based on YEAR..MONTH.
    iv028  interval year to year,
    iv029  interval year to month,
    iv030  interval month to month,
-- 3 INTERVAL synonyms based on YEAR..MONTH.

-- INTERVAL types based on DAY..FRACTION.
    iv031  interval day(9) to day,
    iv032  interval day(8) to day,
    iv033  interval day(7) to day,
    iv034  interval day(6) to day,
    iv035  interval day(5) to day,
    iv036  interval day(4) to day,
    iv037  interval day(3) to day,
    iv038  interval day(2) to day,
    iv039  interval day(1) to day,
    iv040  interval day(9) to hour,
    iv041  interval day(8) to hour,
    iv042  interval day(7) to hour,
    iv043  interval day(6) to hour,
    iv044  interval day(5) to hour,
    iv045  interval day(4) to hour,
    iv046  interval day(3) to hour,
    iv047  interval day(2) to hour,
    iv048  interval day(1) to hour,
    iv049  interval day(9) to minute,
    iv050  interval day(8) to minute,
    iv051  interval day(7) to minute,
    iv052  interval day(6) to minute,
    iv053  interval day(5) to minute,
    iv054  interval day(4) to minute,
    iv055  interval day(3) to minute,
    iv056  interval day(2) to minute,
    iv057  interval day(1) to minute,
    iv058  interval day(9) to second,
    iv059  interval day(8) to second,
    iv060  interval day(7) to second,
    iv061  interval day(6) to second,
    iv062  interval day(5) to second,
    iv063  interval day(4) to second,
    iv064  interval day(3) to second,
    iv065  interval day(2) to second,
    iv066  interval day(1) to second,
    iv067  interval day(9) to fraction(1),
    iv068  interval day(8) to fraction(1),
    iv069  interval day(7) to fraction(1),
    iv070  interval day(6) to fraction(1),
    iv071  interval day(5) to fraction(1),
    iv072  interval day(4) to fraction(1),
    iv073  interval day(3) to fraction(1),
    iv074  interval day(2) to fraction(1),
    iv075  interval day(1) to fraction(1),
    iv076  interval day(9) to fraction(2),
    iv077  interval day(8) to fraction(2),
    iv078  interval day(7) to fraction(2),
    iv079  interval day(6) to fraction(2),
    iv080  interval day(5) to fraction(2),
    iv081  interval day(4) to fraction(2),
    iv082  interval day(3) to fraction(2),
    iv083  interval day(2) to fraction(2),
    iv084  interval day(1) to fraction(2),
    iv085  interval day(9) to fraction(3),
    iv086  interval day(8) to fraction(3),
    iv087  interval day(7) to fraction(3),
    iv088  interval day(6) to fraction(3),
    iv089  interval day(5) to fraction(3),
    iv090  interval day(4) to fraction(3),
    iv091  interval day(3) to fraction(3),
    iv092  interval day(2) to fraction(3),
    iv093  interval day(1) to fraction(3),
    iv094  interval day(9) to fraction(4),
    iv095  interval day(8) to fraction(4),
    iv096  interval day(7) to fraction(4),
    iv097  interval day(6) to fraction(4),
    iv098  interval day(5) to fraction(4),
    iv099  interval day(4) to fraction(4),
    iv100  interval day(3) to fraction(4),
    iv101  interval day(2) to fraction(4),
    iv102  interval day(1) to fraction(4),
    iv103  interval day(9) to fraction(5),
    iv104  interval day(8) to fraction(5),
    iv105  interval day(7) to fraction(5),
    iv106  interval day(6) to fraction(5),
    iv107  interval day(5) to fraction(5),
    iv108  interval day(4) to fraction(5),
    iv109  interval day(3) to fraction(5),
    iv110  interval day(2) to fraction(5),
    iv111  interval day(1) to fraction(5),
    iv112  interval hour(9) to hour,
    iv113  interval hour(8) to hour,
    iv114  interval hour(7) to hour,
    iv115  interval hour(6) to hour,
    iv116  interval hour(5) to hour,
    iv117  interval hour(4) to hour,
    iv118  interval hour(3) to hour,
    iv119  interval hour(2) to hour,
    iv120  interval hour(1) to hour,
    iv121  interval hour(9) to minute,
    iv122  interval hour(8) to minute,
    iv123  interval hour(7) to minute,
    iv124  interval hour(6) to minute,
    iv125  interval hour(5) to minute,
    iv126  interval hour(4) to minute,
    iv127  interval hour(3) to minute,
    iv128  interval hour(2) to minute,
    iv129  interval hour(1) to minute,
    iv130  interval hour(9) to second,
    iv131  interval hour(8) to second,
    iv132  interval hour(7) to second,
    iv133  interval hour(6) to second,
    iv134  interval hour(5) to second,
    iv135  interval hour(4) to second,
    iv136  interval hour(3) to second,
    iv137  interval hour(2) to second,
    iv138  interval hour(1) to second,
    iv139  interval hour(9) to fraction(1),
    iv140  interval hour(8) to fraction(1),
    iv141  interval hour(7) to fraction(1),
    iv142  interval hour(6) to fraction(1),
    iv143  interval hour(5) to fraction(1),
    iv144  interval hour(4) to fraction(1),
    iv145  interval hour(3) to fraction(1),
    iv146  interval hour(2) to fraction(1),
    iv147  interval hour(1) to fraction(1),
    iv148  interval hour(9) to fraction(2),
    iv149  interval hour(8) to fraction(2),
    iv150  interval hour(7) to fraction(2),
    iv151  interval hour(6) to fraction(2),
    iv152  interval hour(5) to fraction(2),
    iv153  interval hour(4) to fraction(2),
    iv154  interval hour(3) to fraction(2),
    iv155  interval hour(2) to fraction(2),
    iv156  interval hour(1) to fraction(2),
    iv157  interval hour(9) to fraction(3),
    iv158  interval hour(8) to fraction(3),
    iv159  interval hour(7) to fraction(3),
    iv160  interval hour(6) to fraction(3),
    iv161  interval hour(5) to fraction(3),
    iv162  interval hour(4) to fraction(3),
    iv163  interval hour(3) to fraction(3),
    iv164  interval hour(2) to fraction(3),
    iv165  interval hour(1) to fraction(3),
    iv166  interval hour(9) to fraction(4),
    iv167  interval hour(8) to fraction(4),
    iv168  interval hour(7) to fraction(4),
    iv169  interval hour(6) to fraction(4),
    iv170  interval hour(5) to fraction(4),
    iv171  interval hour(4) to fraction(4),
    iv172  interval hour(3) to fraction(4),
    iv173  interval hour(2) to fraction(4),
    iv174  interval hour(1) to fraction(4),
    iv175  interval hour(9) to fraction(5),
    iv176  interval hour(8) to fraction(5),
    iv177  interval hour(7) to fraction(5),
    iv178  interval hour(6) to fraction(5),
    iv179  interval hour(5) to fraction(5),
    iv180  interval hour(4) to fraction(5),
    iv181  interval hour(3) to fraction(5),
    iv182  interval hour(2) to fraction(5),
    iv183  interval hour(1) to fraction(5),
    iv184  interval minute(9) to minute,
    iv185  interval minute(8) to minute,
    iv186  interval minute(7) to minute,
    iv187  interval minute(6) to minute,
    iv188  interval minute(5) to minute,
    iv189  interval minute(4) to minute,
    iv190  interval minute(3) to minute,
    iv191  interval minute(2) to minute,
    iv192  interval minute(1) to minute,
    iv193  interval minute(9) to second,
    iv194  interval minute(8) to second,
    iv195  interval minute(7) to second,
    iv196  interval minute(6) to second,
    iv197  interval minute(5) to second,
    iv198  interval minute(4) to second,
    iv199  interval minute(3) to second,
    iv200  interval minute(2) to second,
    iv201  interval minute(1) to second,
    iv202  interval minute(9) to fraction(1),
    iv203  interval minute(8) to fraction(1),
    iv204  interval minute(7) to fraction(1),
    iv205  interval minute(6) to fraction(1),
    iv206  interval minute(5) to fraction(1),
    iv207  interval minute(4) to fraction(1),
    iv208  interval minute(3) to fraction(1),
    iv209  interval minute(2) to fraction(1),
    iv210  interval minute(1) to fraction(1),
    iv211  interval minute(9) to fraction(2),
    iv212  interval minute(8) to fraction(2),
    iv213  interval minute(7) to fraction(2),
    iv214  interval minute(6) to fraction(2),
    iv215  interval minute(5) to fraction(2),
    iv216  interval minute(4) to fraction(2),
    iv217  interval minute(3) to fraction(2),
    iv218  interval minute(2) to fraction(2),
    iv219  interval minute(1) to fraction(2),
    iv220  interval minute(9) to fraction(3),
    iv221  interval minute(8) to fraction(3),
    iv222  interval minute(7) to fraction(3),
    iv223  interval minute(6) to fraction(3),
    iv224  interval minute(5) to fraction(3),
    iv225  interval minute(4) to fraction(3),
    iv226  interval minute(3) to fraction(3),
    iv227  interval minute(2) to fraction(3),
    iv228  interval minute(1) to fraction(3),
    iv229  interval minute(9) to fraction(4),
    iv230  interval minute(8) to fraction(4),
    iv231  interval minute(7) to fraction(4),
    iv232  interval minute(6) to fraction(4),
    iv233  interval minute(5) to fraction(4),
    iv234  interval minute(4) to fraction(4),
    iv235  interval minute(3) to fraction(4),
    iv236  interval minute(2) to fraction(4),
    iv237  interval minute(1) to fraction(4),
    iv238  interval minute(9) to fraction(5),
    iv239  interval minute(8) to fraction(5),
    iv240  interval minute(7) to fraction(5),
    iv241  interval minute(6) to fraction(5),
    iv242  interval minute(5) to fraction(5),
    iv243  interval minute(4) to fraction(5),
    iv244  interval minute(3) to fraction(5),
    iv245  interval minute(2) to fraction(5),
    iv246  interval minute(1) to fraction(5),
    iv247  interval second(9) to second,
    iv248  interval second(8) to second,
    iv249  interval second(7) to second,
    iv250  interval second(6) to second,
    iv251  interval second(5) to second,
    iv252  interval second(4) to second,
    iv253  interval second(3) to second,
    iv254  interval second(2) to second,
    iv255  interval second(1) to second,
    iv256  interval second(9) to fraction(1),
    iv257  interval second(8) to fraction(1),
    iv258  interval second(7) to fraction(1),
    iv259  interval second(6) to fraction(1),
    iv260  interval second(5) to fraction(1),
    iv261  interval second(4) to fraction(1),
    iv262  interval second(3) to fraction(1),
    iv263  interval second(2) to fraction(1),
    iv264  interval second(1) to fraction(1),
    iv265  interval second(9) to fraction(2),
    iv266  interval second(8) to fraction(2),
    iv267  interval second(7) to fraction(2),
    iv268  interval second(6) to fraction(2),
    iv269  interval second(5) to fraction(2),
    iv270  interval second(4) to fraction(2),
    iv271  interval second(3) to fraction(2),
    iv272  interval second(2) to fraction(2),
    iv273  interval second(1) to fraction(2),
    iv274  interval second(9) to fraction(3),
    iv275  interval second(8) to fraction(3),
    iv276  interval second(7) to fraction(3),
    iv277  interval second(6) to fraction(3),
    iv278  interval second(5) to fraction(3),
    iv279  interval second(4) to fraction(3),
    iv280  interval second(3) to fraction(3),
    iv281  interval second(2) to fraction(3),
    iv282  interval second(1) to fraction(3),
    iv283  interval second(9) to fraction(4),
    iv284  interval second(8) to fraction(4),
    iv285  interval second(7) to fraction(4),
    iv286  interval second(6) to fraction(4),
    iv287  interval second(5) to fraction(4),
    iv288  interval second(4) to fraction(4),
    iv289  interval second(3) to fraction(4),
    iv290  interval second(2) to fraction(4),
    iv291  interval second(1) to fraction(4),
    iv292  interval second(9) to fraction(5),
    iv293  interval second(8) to fraction(5),
    iv294  interval second(7) to fraction(5),
    iv295  interval second(6) to fraction(5),
    iv296  interval second(5) to fraction(5),
    iv297  interval second(4) to fraction(5),
    iv298  interval second(3) to fraction(5),
    iv299  interval second(2) to fraction(5),
    iv300  interval second(1) to fraction(5),
    iv301  interval fraction to fraction(1),
    iv302  interval fraction to fraction(2),
    iv303  interval fraction to fraction(3),
    iv304  interval fraction to fraction(4),
    iv305  interval fraction to fraction(5),
-- 275 INTERVAL types based on DAY..FRACTION.

-- INTERVAL synonyms based on DAY..FRACTION.
    iv306  interval day to day,
    iv307  interval day to hour,
    iv308  interval day to minute,
    iv309  interval day to second,
    iv310  interval day to fraction(1),
    iv311  interval day to fraction(2),
    iv312  interval day to fraction(3),
    iv313  interval day to fraction(4),
    iv314  interval day to fraction(5),
    iv315  interval hour to hour,
    iv316  interval hour to minute,
    iv317  interval hour to second,
    iv318  interval hour to fraction(1),
    iv319  interval hour to fraction(2),
    iv320  interval hour to fraction(3),
    iv321  interval hour to fraction(4),
    iv322  interval hour to fraction(5),
    iv323  interval minute to minute,
    iv324  interval minute to second,
    iv325  interval minute to fraction(1),
    iv326  interval minute to fraction(2),
    iv327  interval minute to fraction(3),
    iv328  interval minute to fraction(4),
    iv329  interval minute to fraction(5),
    iv330  interval second to second,
    iv331  interval second to fraction(1),
    iv332  interval second to fraction(2),
    iv333  interval second to fraction(3),
    iv334  interval second to fraction(4),
    iv335  interval second to fraction(5),
    iv336  interval day to fraction,
    iv337  interval hour to fraction,
    iv338  interval minute to fraction,
    iv339  interval second to fraction,
    iv340  interval fraction to fraction,
-- 35 INTERVAL synonyms based on DAY..FRACTION.
    Dummy   CHAR(1)
) WITH NO LOG;

